Bug 620049 - wireshark: please update to version 1.4.0rc2
Summary: wireshark: please update to version 1.4.0rc2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-31 16:25 UTC by Jose Pedro Oliveira
Modified: 2016-12-07 15:17 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.4.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 07:48:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2010-07-31 16:25:49 UTC
Description of problem:
Please update rawhide's wireshark to version 1.4.0rc2.  According to the RC2 release announcement (link below) this is likely to be the last RC before the 1.4.0 final version.

Expected results:
To have Wireshark 1.4.0 in Rawhide (and also in F14).

Additional info:
* Wireshark-announce: Wireshark 1.4.0rc2 is now available
  http://www.wireshark.org/lists/wireshark-announce/201007/msg00002.html

Comment 1 Jan Safranek 2010-08-02 07:48:21 UTC
I understand that new Wireshark provides lot of new interesting features, but I'd rather package the final release instead of RCs. There is still plenty of time for Fedora 14 and I think the chance of having final Wireshark 1.4 there is pretty high.

If you want to speed things up, please work with the upstream - test the release candidate, report bugs, report your successes.

Comment 2 Jose Pedro Oliveira 2010-08-02 18:01:22 UTC
Jan,

(In reply to comment #1)
> I understand that new Wireshark provides lot of new interesting features, but
> I'd rather package the final release instead of RCs. There is still plenty of
> time for Fedora 14 and I think the chance of having final Wireshark 1.4 there
> is pretty high.

You are more optimistic than am I ... The alpha version of F14 is expected in a few days, and the beta version in September. After the beta I don't know if you will be allowed to update wireshark from version 1.2.x to 1.4.x.


> If you want to speed things up, please work with the upstream - test the
> release candidate, report bugs, report your successes.    

I have been doing that for quite a while and all problems I have detected have been corrected upstream (eg: Wireshark bug #4815).  I have even submitted several improvements to the fedora specfile (lua support, LDFLAGS cleaning).


Besides I only opened this ticket after:

 i) seeing the creation of the F15 branch, and

ii) seeing that the current building problems are all related to the Fedora
    patches. Someone should be looking into them in order to drop/update them
    or even submit them to the wireshark bugzilla.

Regards,
jpo


Note You need to log in before you can comment on or make changes to this bug.